using Darkmatter.Core.Data.Dynamic.Services.Audio;
using Darkmatter.Core.Enums.Services.Audio;
using UnityEngine;

namespace Darkmatter.Core.Contracts.Services.Audio
{
    public interface ISfxPlayer
    {
        AudioHandle Play(SfxId id, Transform follow = null);
        AudioHandle PlayLoop(SfxId id, Transform follow = null);
        void Stop(AudioHandle handle, float fadeOutSeconds = 0f);
        bool IsPlaying(AudioHandle handle);
    }
}
